### Method

# Gimp Brush set_hardness

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_set_hardness (
      GimpBrush* brush,
      gdouble hardness_in,
      gdouble* hardness_out
    )

#### Description [src]

Sets the hardness of a generated brush.

Sets the hardness for a generated brush. Clamps hardness to [0.0, 1.0]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Available since: 2.4

#### Parameters

`hardness_in`

  Type: `gdouble`

  The desired brush hardness.

`hardness_out`

  Type: `gdouble*`

  The brush hardness actually assigned.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.